## Class TValidationSummaryDisplayStyle

Description

TValidationSummaryDisplay class.

TValidationSummaryDisplay defines the enumerable type for the possible styles that a TValidationSummary can display the collected error messages.

The following enumerable values are defined:

- None: the error messages are not displayed
- Dynamic: the error messages are dynamically added to display as the corresponding validators fail
- Fixed: Similar to Dynamic except that the error messages physically occupy the page layout (even though they may not be visible)

- since: 3.0.4
- version: $Id: TValidationSummary.php 1747 2007-03-06 19:45:45Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TValidationSummary.php (line 500)

    TEnumerable
       |
       --TValidationSummaryDisplayStyle

Class Constant Summary
Dynamic = 'Dynamic'
Fixed = 'Fixed'
None = 'None'
Class Constants
Dynamic = 'Dynamic' (line 503)
Fixed = 'Fixed' (line 504)
None = 'None' (line 502)

Documentation generated on Mon, 21 Apr 2008 11:36:42 -0400 by phpDocumentor 1.3.0RC4